#include<iostream>
using namespace std;

int main(){
    long long a,b,L,br=0;
    cin>>a>>b>>L;
    long long ost=L/(a+b);
    br=ost;
        if(((ost*a)+((ost+1)*b))<=L){
            br++;
        }
        if(((ost+1)*a)+(ost*b)<=L){
            br++;
        }
        cout<<L-br<<endl;
return 0;
}

